Admin Notion Save Token
Notion インテグレーショントークンを Secret Manager に保存する(admin ロール必須)。
トークン値はログに出さない。tenant_id は JWT claims から取得。 保存後は /admin/connectors/notion/sync で同期を開始できる。
POST
/admin/connectors/notion/tokenHeader parameters
authorizationstring | anyX-Api-Keystring | anyRequest body
requiredapplication/jsontokenstringrequiredNotion Internal Integration Token
min length 1
Responses
200Successful Response
any422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredRequest
curl -X POST "/admin/connectors/notion/token" \
-H "Content-Type: application/json" \
-d '{
"token": "string"
}'const response = await fetch("/admin/connectors/notion/token", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"token": "string"
})
});import requests
response = requests.post(
"/admin/connectors/notion/token",
headers={
"Content-Type": "application/json"
},
json={
"token": "string"
},
)Response
"string"{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}